Summary:	Indic Onscreen Virtual Keyboard
Summary(pl.UTF-8):	Indyjska klawiatura wirtualna na ekranie
Name:		iok
Version:	2.1.3
Release:	6
License:	GPL v2+
Group:		X11/Applications
#Source0Dowload: https://pagure.io/iok/releases
Source0:	https://fedorahosted.org/releases/i/o/iok/%{name}-%{version}.tar.gz
# Source0-md5:	88ed68410e1b8c218cc576bf5b81b1a1
URL:		http://iok.sourceforge.net/
BuildRequires:	gettext-tools
BuildRequires:	gtk+3-devel >= 3.0.0
BuildRequires:	intltool >= 0.35.0
BuildRequires:	libxml2-devel >= 2.4.0
BuildRequires:	libunique3-devel >= 3.0
BuildRequires:	xorg-lib-libX11-devel
BuildRequires:	xorg-lib-libXtst-devel
Requires:	xkeyboard-config
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
iok is Indic Onscreen Keyboard. It provides virtual Keyboard
functionality. It currently works with Inscript and xkb keymaps for
Indian languages. iok can even try to parse non-inscript keymaps and
show them in iok.

%description -l pl.UTF-8
iok (Indic Onscreen Keyboard) to indyjska klawiatura na ekranie.
Zapewnia funkcjonalność wirtualnej klawiatury. Obecnie działa z mapami
klawiszy Inscript i xkb dla języków indyjskich. Potrafi nawet próbować
analizować mapy klawiszy inne niż inscript i wyświetlać je w ioku.

%prep
%setup -q

%build
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/iok
%{_desktopdir}/iok.desktop
%{_iconsdir}/hicolor/*/apps/iok.png
%{_iconsdir}/hicolor/scalable/apps/iok.svg
%{_mandir}/man1/iok.1*
%changelog
* Tue Jul 15 2025 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/iok.git;a=log;h=master

* Tue Jul 15 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> 28d4aeb
- Release 6 (by relup.sh)

* Sat Jul 12 2025 Arkadiusz Miśkiewicz <arekm@maven.pl> fec6d73
- Release 5 (by relup.sh)

* Sat Apr 25 2020 Jakub Bogusz <qboosh@pld-linux.org> 35bd0b6
- added new download URL

* Sat Jan 10 2015 Jakub Bogusz <qboosh@pld-linux.org> dd1254e
- {bho,brx,doi,mni,sat}[_IN] locales are supported now; release 4

* Sun Dec 28 2014 Jan Rękorajski <baggins@pld-linux.org> 70d4b41
- updated gettext BR

* Tue Sep 25 2012 Jan Rękorajski <baggins@pld-linux.org> 6306d7e
- rebuild with fixed rpm macros
- release 3 (by relup.sh)

* Sat Sep 22 2012 Jan Rękorajski <baggins@pld-linux.org> 1215f4e
- remove locales glibc doesn't provide
- rel 2

* Sun Sep 16 2012 Jakub Bogusz <qboosh@pld-linux.org> c37aabf
- updated to 2.1.3 (GTK+ 3 based)
- removed obsolete fix-non-standard-keymap-path patch

* Wed Jul 20 2011 Jan Rękorajski <baggins@pld-linux.org> 7c81505
- fix adapter failure

* Wed Jul 20 2011 Jan Rękorajski <baggins@pld-linux.org> eb44672
- fix patch name and files

* Wed Jul 20 2011 Jan Rękorajski <baggins@pld-linux.org> 4235417
- initial revision

